--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

-- set up the border

border.x = 6
border.y = 4

border[1] = {x=0,y=0} border[2] = {x=1,y=0} border[3] = {x=2,y=0} border[4] = {x=3,y=0} 
border[5] = {x=4,y=0} border[6] = {x=5,y=0} border[7] = {x=6,y=0} border[8] = {x=0,y=1} 
border[9] = {x=6,y=1} border[10] = {x=0,y=2} border[11] = {x=6,y=2} border[12] = {x=11,y=2} 
border[13] = {x=12,y=2} border[14] = {x=13,y=2} border[15] = {x=14,y=2} border[16] = {x=15,y=2} 
border[17] = {x=16,y=2} border[18] = {x=17,y=2} border[19] = {x=0,y=3} border[20] = {x=6,y=3} 
border[21] = {x=11,y=3} border[22] = {x=17,y=3} border[23] = {x=0,y=4} border[24] = {x=6,y=4} 
border[25] = {x=11,y=4} border[26] = {x=17,y=4} border[27] = {x=0,y=5} border[28] = {x=6,y=5} 
border[29] = {x=11,y=5} border[30] = {x=17,y=5} border[31] = {x=0,y=6} border[32] = {x=6,y=6} 
border[33] = {x=11,y=6} border[34] = {x=12,y=6} border[35] = {x=13,y=6} border[36] = {x=14,y=6} 
border[37] = {x=15,y=6} border[38] = {x=16,y=6} border[39] = {x=17,y=6} border[40] = {x=0,y=7} 
border[41] = {x=6,y=7} border[42] = {x=0,y=8} border[43] = {x=1,y=8} border[44] = {x=2,y=8} 
border[45] = {x=3,y=8} border[46] = {x=4,y=8} border[47] = {x=5,y=8} border[48] = {x=6,y=8} 

 

-- set up the goal area

goal[1] = {x=1,y=1} goal[2] = {x=2,y=1} goal[3] = {x=3,y=1} goal[4] = {x=4,y=1} 
goal[5] = {x=5,y=1} goal[6] = {x=1,y=2} goal[7] = {x=2,y=2} goal[8] = {x=3,y=2} 
goal[9] = {x=4,y=2} goal[10] = {x=5,y=2} goal[11] = {x=1,y=3} goal[12] = {x=2,y=3} 
goal[13] = {x=3,y=3} goal[14] = {x=4,y=3} goal[15] = {x=5,y=3} goal[16] = {x=12,y=3} 
goal[17] = {x=13,y=3} goal[18] = {x=14,y=3} goal[19] = {x=15,y=3} goal[20] = {x=16,y=3} 
goal[21] = {x=1,y=4} goal[22] = {x=2,y=4} goal[23] = {x=3,y=4} goal[24] = {x=4,y=4} 
goal[25] = {x=5,y=4} goal[26] = {x=12,y=4} goal[27] = {x=13,y=4} goal[28] = {x=14,y=4} 
goal[29] = {x=15,y=4} goal[30] = {x=16,y=4} goal[31] = {x=1,y=5} goal[32] = {x=2,y=5} 
goal[33] = {x=3,y=5} goal[34] = {x=4,y=5} goal[35] = {x=5,y=5} goal[36] = {x=12,y=5} 
goal[37] = {x=13,y=5} goal[38] = {x=14,y=5} goal[39] = {x=15,y=5} goal[40] = {x=16,y=5} 
goal[41] = {x=1,y=6} goal[42] = {x=2,y=6} goal[43] = {x=3,y=6} goal[44] = {x=4,y=6} 
goal[45] = {x=5,y=6} goal[46] = {x=1,y=7} goal[47] = {x=2,y=7} goal[48] = {x=3,y=7} 
goal[49] = {x=4,y=7} goal[50] = {x=5,y=7} 


-- set up the pieces

i=1
piece[i] = {}

piece[i][1] = {x=5,y=3}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=2,y=3}
piece[i][5] = {x=1,y=3}

piece[i].x = 23
piece[i].y = 12
piece[i].style = 1

i=2
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=5,y=3}

piece[i].x = -2
piece[i].y = 12
piece[i].style = 1

i=3
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=3,y=3}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = 26
piece[i].y = 10
piece[i].style = 0

i=4
piece[i] = {}

piece[i][1] = {x=4,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=2,y=4}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=3,y=2}

piece[i].x = 22
piece[i].y = 10
piece[i].style = 3

i=5
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = 24
piece[i].y = -1
piece[i].style = 3

i=6
piece[i] = {}

piece[i][1] = {x=2,y=2}
piece[i][2] = {x=2,y=4}
piece[i][3] = {x=3,y=2}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 26
piece[i].y = -1
piece[i].style = 1

i=7
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=4,y=2}

piece[i].x = -1
piece[i].y = -1
piece[i].style = 3

i=8
piece[i] = {}

piece[i][1] = {x=5,y=3}
piece[i][2] = {x=4,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=2,y=2}

piece[i].x = -2
piece[i].y = 11
piece[i].style = 0

i=9
piece[i] = {}

piece[i][1] = {x=4,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=2,y=3}

piece[i].x = 24
piece[i].y = 10
piece[i].style = 2

i=10
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=2,y=2}
piece[i][4] = {x=3,y=2}
piece[i][5] = {x=4,y=2}

piece[i].x = -2
piece[i].y = -1
piece[i].style = 2