--[[
The Icarus Project, Copyright (c) 2005 John Forsythe <chaosmachine@gmail.com> (aka chaosmachine)
Feel free to learn and borrow from this code for non-commercial purposes.
If you use my code in your project, I'd appreciate a credit in your readme file.
]]

-- set up the border

border.x = 9
border.y = 3

xOffset = 1

border[1] = {x=3,y=0} border[2] = {x=4,y=0} border[3] = {x=5,y=0} border[4] = {x=6,y=0} 
border[5] = {x=7,y=0} border[6] = {x=3,y=1} border[7] = {x=7,y=1} border[8] = {x=3,y=2} 
border[9] = {x=7,y=2} border[10] = {x=0,y=3} border[11] = {x=1,y=3} border[12] = {x=2,y=3} 
border[13] = {x=3,y=3} border[14] = {x=7,y=3} border[15] = {x=8,y=3} border[16] = {x=9,y=3} 
border[17] = {x=10,y=3} border[18] = {x=0,y=4} border[19] = {x=10,y=4} border[20] = {x=0,y=5} 
border[21] = {x=10,y=5} border[22] = {x=0,y=6} border[23] = {x=10,y=6} border[24] = {x=0,y=7} 
border[25] = {x=1,y=7} border[26] = {x=2,y=7} border[27] = {x=3,y=7} border[28] = {x=7,y=7} 
border[29] = {x=8,y=7} border[30] = {x=9,y=7} border[31] = {x=10,y=7} border[32] = {x=3,y=8} 
border[33] = {x=7,y=8} border[34] = {x=3,y=9} border[35] = {x=7,y=9} border[36] = {x=3,y=10} 
border[37] = {x=4,y=10} border[38] = {x=5,y=10} border[39] = {x=6,y=10} border[40] = {x=7,y=10} 


-- set up the goal area

goal[1] = {x=4,y=1} goal[2] = {x=5,y=1} goal[3] = {x=6,y=1} goal[4] = {x=4,y=2} 
goal[5] = {x=5,y=2} goal[6] = {x=6,y=2} goal[7] = {x=4,y=3} goal[8] = {x=5,y=3} 
goal[9] = {x=6,y=3} goal[10] = {x=1,y=4} goal[11] = {x=2,y=4} goal[12] = {x=3,y=4} 
goal[13] = {x=4,y=4} goal[14] = {x=5,y=4} goal[15] = {x=6,y=4} goal[16] = {x=7,y=4} 
goal[17] = {x=8,y=4} goal[18] = {x=9,y=4} goal[19] = {x=1,y=5} goal[20] = {x=2,y=5} 
goal[21] = {x=3,y=5} goal[22] = {x=4,y=5} goal[23] = {x=5,y=5} goal[24] = {x=6,y=5} 
goal[25] = {x=7,y=5} goal[26] = {x=8,y=5} goal[27] = {x=9,y=5} goal[28] = {x=1,y=6} 
goal[29] = {x=2,y=6} goal[30] = {x=3,y=6} goal[31] = {x=4,y=6} goal[32] = {x=5,y=6} 
goal[33] = {x=6,y=6} goal[34] = {x=7,y=6} goal[35] = {x=8,y=6} goal[36] = {x=9,y=6} 
goal[37] = {x=4,y=7} goal[38] = {x=5,y=7} goal[39] = {x=6,y=7} goal[40] = {x=4,y=8} 
goal[41] = {x=5,y=8} goal[42] = {x=6,y=8} goal[43] = {x=4,y=9} goal[44] = {x=5,y=9} 
goal[45] = {x=6,y=9} 


-- set up the pieces

i=1
piece[i] = {}

piece[i][1] = {x=3,y=2}
piece[i][2] = {x=2,y=3}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = 20
piece[i].y = 0
piece[i].style = 1

i=2
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=3,y=5}

piece[i].x = 2
piece[i].y = 2
piece[i].style = 2

i=3
piece[i] = {}

piece[i][1] = {x=2,y=3}
piece[i][2] = {x=3,y=3}
piece[i][3] = {x=3,y=2}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=5,y=3}

piece[i].x = -1
piece[i].y = 11
piece[i].style = 0

i=4
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=2,y=2}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=3,y=4}

piece[i].x = -1
piece[i].y = 0
piece[i].style = 0

i=5
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=2,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=4,y=3}

piece[i].x = -2
piece[i].y = 4
piece[i].style = 1

i=6
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=2,y=2}
piece[i][3] = {x=4,y=3}
piece[i][4] = {x=3,y=3}
piece[i][5] = {x=2,y=3}

piece[i].x = 2
piece[i].y = 8
piece[i].style = 3

i=7
piece[i] = {}

piece[i][1] = {x=4,y=2}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=3,y=4}
piece[i][5] = {x=2,y=4}

piece[i].x = 24
piece[i].y = 3
piece[i].style = 2

i=8
piece[i] = {}

piece[i][1] = {x=3,y=1}
piece[i][2] = {x=3,y=2}
piece[i][3] = {x=3,y=3}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=4,y=4}

piece[i].x = 19
piece[i].y = 7
piece[i].style = 0

i=9
piece[i] = {}

piece[i][1] = {x=2,y=4}
piece[i][2] = {x=3,y=4}
piece[i][3] = {x=4,y=4}
piece[i][4] = {x=4,y=3}
piece[i][5] = {x=4,y=2}

piece[i].x = 23
piece[i].y = 10
piece[i].style = 3

